Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.gui
Interface ComponentListener

All Known Implementing Classes:
  GUITest, SavedStateTest

    public interface ComponentListener

A descritpion of a class responding to events occuring on a GUI component

Author:
  kevin

Method Summary
`void` | `componentActivated(AbstractComponent source)` Notification that a component has been activated (button clicked, text field entered, etc)

Method Detail

### componentActivated

    void componentActivated(AbstractComponent source)

  Notification that a component has been activated (button clicked, text field entered, etc)

  Parameters:
    `source` - The source of the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.